<?php

if ( ! defined( 'ABSPATH' ) ) exit;

require plugin_dir_path( __FILE__ ) . 'vendor/autoload.php';

/**
 *
 * @link              https://dartamas.com/
 * @since             1.0.0
 * @package           dartamas
 *
 * @wordpress-plugin
 * Plugin Name:       dartamas | درتماس
 * Description:       کاربران شما میتوانند رایگان با شما به صورت آنلاین درتماس باشند
 * Version:           1.0.0
 * Author:            dartamas
 * Author URI:        https://dartamas.com/ 
 * License: GPL-2.0
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       dartamas
 * Domain Path:       /languages
 */

 if ( ! defined( 'WPINC' ) ) {
	die;
}

define('DCBP_PLUGIN_VERSION', '1.0.0' );
define("DCBP_IMG_URL", plugin_dir_url(__FILE__) . "/assets/");

function DCBP_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-DCBP-activator.php';
	DCBP_Activator::activate();
}
function DCBP_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-DCBP-deactivator.php';
	DCBP_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'DCBP_activate' );
register_deactivation_hook( __FILE__, 'DCBP_deactivate' );

require plugin_dir_path( __FILE__ ) . 'includes/class-DCBP.php';

function dartamas_run() {
	$plugin = new DCBP_Main();
	$plugin->run();
}
dartamas_run();
